---
title: Create
url: https://www.tines.com/docs/api/cases/create-1-0/
updated: 2024-04-23T08:14:20+00:00
description: Create a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/cases/create-1-0/)*

| ⚠️ Note                                                                     |
| --------------------------------------------------------------------------- |
| This API endpoint has been deprecated, please update to the latest version. |

## Description

Create a case.

## Request

HTTP Method: **POST**

| Parameter          | Description                                                                                                                                                          |
| ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| team_id            | The team ID the case is within.                                                                                                                                      |
| name               | The case name.                                                                                                                                                       |
| description        | **Optional** The case description. Supports markdown and mentioning users. To mention a user, use the notation <@user-2435>, replacing '2435' with the user ID.      |
| priority           | **Optional** The case priority - critical, high, medium, low or info.                                                                                                |
| status             | **Optional** The case status - open or closed.                                                                                                                       |
| author_email       | **Optional** The email of the user creating the cases.                                                                                                               |
| assignee_emails    | **Optional** An array of user email addresses to assign to the case. Case will automatically be assigned to the user associated with the API token if none provided. |
| tag_names          | **Optional** An array of tag names.                                                                                                                                  |
| record_ids         | **Optional** An array of record IDs to add to the case.                                                                                                              |
| opened_at          | **Optional** ISO 8601 Timestamp representing the date and time the case was opened at.                                                                               |
| resolved_at        | **Optional** ISO 8601 Timestamp representing the date and time the case was resolved at.                                                                             |
| metadata           | **Optional** Case related metadata represented as key-value pairs.                                                                                                   |
| team_case_buttons  | **Optional** An array of team case buttons for downstream actions associated with the case.                                                                          |
| closure_conditions | **Optional** An array of closure requirements in the form of a set of formula rules that need to evaluate to true to enable the closing of a case.                   |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/cases/ \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
  "team_id": "team_id",
  "name": "Suspicious login detected",
  "priority": "high",
  "description": "This is a high priority case created via the API",
  "assignee_emails": [
    "jane@tines.io"
  ],
  "tag_names": [
    "login",
    "security"
  ],
  "record_ids": [
    "record_id"
  ],
  "metadata": {
    "key": "value"
  },
  "team_case_buttons": [
    {
      "button_type": "page",
      "url": "https://tenant.tines.com/pages/55e94b9b4e26175051c0287f4259363f/",
      "label": "Isolate host and give reason",
      "button_text": "Open form"
    },
    {
      "button_type": "webhook",
      "url": "http://tenant.tines.com/webhook/e840b4e8cf60437196d9a4bcb85d2de0/61441bc05fddfa4c09924b23fcf72b91",
      "label": "Isolate host",
      "button_text": "Isolate"
    }
  ],
  "closure_conditions": [
    {
      "name": "has at least 1 assignee",
      "formula": "=SIZE(team_case.assignees) > 0"
    }
  ]
}'
```

## Response

A successful request will return a JSON object describing the created case.

### Field description

| Parameter          | Description                                                                    |
| ------------------ | ------------------------------------------------------------------------------ |
| case_id            | The case ID.                                                                   |
| name               | The case name.                                                                 |
| description        | The case description.                                                          |
| status             | The case status - open or closed.                                              |
| url                | The case URL.                                                                  |
| metadata           | Case related metadata represented as key-value pairs.                          |
| author             | An object describing the case author.                                          |
| opened_by          | An object describing the user who opened the case.                             |
| resolved_by        | An object describing the user who resolved the case.                           |
| assignees          | An array of users assigned to the case.                                        |
| tags               | An array of tags associated with the case.                                     |
| team_case_actions  | An array of team case actions taken within the case.                           |
| team               | The team the case is within - ID & name.                                       |
| team_case_buttons  | An array of team case buttons for downstream actions associated with the case. |
| linked_cases       | An array of cases linked to this case (IDs only).                              |
| opened_at          | ISO 8601 Timestamp representing the date and time the case was opened at.      |
| resolved_at        | ISO 8601 Timestamp representing the date and time the case was resolved at.    |
| created_at         | ISO 8601 Timestamp representing the date and time the case was created at.     |
| updated_at         | ISO 8601 Timestamp representing the date and time the case was updated at.     |
| records            | An array of records associated with the case.                                  |
| priority           | The case priority - critical, high, medium, low or info.                       |
| closure_conditions | An array of closure requirements for the case.                                 |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "name": "Suspicious login detected",
  "description": "This is a high priority case created via the API",
  "status": "OPEN",
  "url": "https://tenant.tines.com/team/2/cases/42",
  "metadata": {},
  "author": {
    "id": 1,
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "is_service_account": false
  },
  "opened_by": {
    "id": 1,
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "jane@tines.io",
    "is_service_account": false
  },
  "resolved_by": null,
  "assignees": [
    {
      "id": 1,
      "first_name": "Jane",
      "last_name": "Doe",
      "email": "jane@tines.io",
      "is_service_account": false
    }
  ],
  "tags": [
    {
      "id": 4,
      "name": "login"
    }
  ],
  "team_case_actions": [
    {
      "id": 7508,
      "action": "CREATED",
      "value": "42",
      "user": {}
    }
  ],
  "team": {
    "id": 2,
    "name": "Team 1"
  },
  "team_case_buttons": [
    {
      "id": 8,
      "button_type": "webhook",
      "url": "http://tenant.tines.com/webhook/e840b4e8cf60437196d9a4bcb85d2de0/61441bc05fddfa4c09924b23fcf72b91",
      "label": "Isolate host",
      "button_text": "Isolate"
    },
    {
      "id": 9,
      "button_type": "page",
      "url": "https://tenant.tines.com/pages/55e94b9b4e26175051c0287f4259363f/",
      "label": "Isolate host and submit reason",
      "button_text": "Open form"
    }
  ],
  "closure_conditions": [
    {
      "name": "has at least 1 assignee",
      "formula": "=SIZE(team_case.assignees) > 0"
    }
  ]
  "linked_cases": [],
  "opened_at": "2023-12-18T22:29:22Z",
  "resolved_at": null,
  "created_at": "2023-12-18T22:29:22Z",
  "updated_at": "2023-12-18T22:29:22Z",
  "records": [
    {
      "id": 187,
      "results": [
        {
          "id": 1871,
          "name": "Story name",
          "value": "Cases API"
        }
      ]
    }
  ],
  "priority": "HIGH"
}
```

<!-- cspell:enable -->
